VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
ComboProcessor Class Reference

`#include <mdaComboProcessor.h>`

Inheritance diagram for ComboProcessor:

## Public Member Functions
| ComboProcessor ()
| ~ComboProcessor ()
int32 | getVst2UniqueId () const SMTG_OVERRIDE
tresult | initialize (FUnknown *context) SMTG_OVERRIDE
tresult | terminate () SMTG_OVERRIDE
tresult | setActive (TBool state) SMTG_OVERRIDE
void | doProcessing (ProcessData &data) SMTG_OVERRIDE
Public Member Functions inherited from SampleAccurateBaseProcessor
| SampleAccurateBaseProcessor ()
void | allocParameters (int32 numParams) final
tresult | process (ProcessData &data) final
bool | processParameterChanges (IParameterChanges *changes) final

## Static Public Member Functions
static FUnknown * | createInstance (void *)
static | DECLARE_UID (uid, 0x11C1BD22, 0x888F4F17, 0xB2E2A77B, 0x51CEDCD6)

## Protected Member Functions
void | recalculate () SMTG_OVERRIDE
void | clearBuffers ()
float | filterFreq (float hz)

## Protected Attributes
float | clip
float | drive
float | trim
float | lpf
float | hpf
float | mix1
float | mix2
float | ff1
float | ff2
float | ff3
float | ff4
float | ff5
float | bias
float | ff6
float | ff7
float | ff8
float | ff9
float | ff10
float | hhf
float | hhq
float | hh0
float | hh1
float * | buffer
float * | buffe2
int32 | size
int32 | bufpos
int32 | del1
int32 | del2
int | mode
int | ster

## Additional Inherited Members
Public Types inherited from IProcessContextRequirements
enum | Flags
Public Attributes inherited from AudioEffect
OBJ_METHODS(AudioEffect, Component) DEFINE_INTERFACES DEF_INTERFACE(IAudioProcessor) DEF_INTERFACE(IProcessContextRequirements) END_DEFINE_INTERFACES(Component) REFCOUNT_METHODS(Component) protected ProcessContextRequirements | processContextRequirements
OBJ_METHODS(Component, ComponentBase) DEFINE_INTERFACES DEF_INTERFACE(IComponent) END_DEFINE_INTERFACES(ComponentBase) REFCOUNT_METHODS(ComponentBase) protected BusList | audioInputs
BusList | audioOutputs
BusList | eventInputs
BusList | eventOutputs
OBJ_METHODS(ComponentBase, FObject) DEFINE_INTERFACES DEF_INTERFACE(IPluginBase) DEF_INTERFACE(IConnectionPoint) END_DEFINE_INTERFACES(FObject) REFCOUNT_METHODS(FObject) protected IPtr < IConnectionPoint > | peerConnection
Static Public Attributes inherited from IPluginBase
static const FUID | iid
Static Public Attributes inherited from IConnectionPoint
static const FUID | iid
Static Public Attributes inherited from IComponent
static const FUID | iid
Static Public Attributes inherited from IAudioProcessor
static const FUID | iid
Static Public Attributes inherited from IProcessContextRequirements
static const FUID | iid
Protected Types inherited from Processor
using | StateT = std::vector< ParamValue >

## Constructor & Destructor Documentation

ComboProcessor | ( |  | ) |

~ComboProcessor | ( |  | ) |

## Member Function Documentation

int32 getVst2UniqueId | ( |  | ) | const
| inline virtual

Implements Processor.

tresult initialize | ( | FUnknown * | context | ) |
| virtual

Reimplemented from AudioEffect.

tresult terminate | ( |  | ) |
| virtual

Reimplemented from AudioEffect.

tresult setActive | ( | TBool | state | ) |
| virtual

Reimplemented from Processor.

void doProcessing | ( | ProcessData & | data | ) |
| virtual

Implements Processor.

static FUnknown* createInstance | ( | void * |  | ) |
| inline static

static DECLARE_UID | ( | uid | ,
|  | 0x11C1BD22 | ,
|  | 0x888F4F17 | ,
|  | 0xB2E2A77B | ,
|  | 0x51CEDCD6 |
| ) |  |
| inline static

void recalculate | ( |  | ) |
| protected virtual

Reimplemented from Processor.

void clearBuffers | ( |  | ) |
| protected

float filterFreq | ( | float | hz | ) |
| protected

## Member Data Documentation

float clip
| protected

float drive
| protected

float trim
| protected

float lpf
| protected

float hpf
| protected

float mix1
| protected

float mix2
| protected

float ff1
| protected

float ff2
| protected

float ff3
| protected

float ff4
| protected

float ff5
| protected

float bias
| protected

float ff6
| protected

float ff7
| protected

float ff8
| protected

float ff9
| protected

float ff10
| protected

float hhf
| protected

float hhq
| protected

float hh0
| protected

float hh1
| protected

float* buffer
| protected

float * buffe2
| protected

int32 size
| protected

int32 bufpos
| protected

int32 del1
| protected

int32 del2
| protected

int mode
| protected

int ster
| protected

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.